Test unsaved syslog notifier

Sends a test message using the syslog notifier configuration in the request body, without saving it.

Requires one of the following license types: ioa, ioaPreview, or ioe. See License Types.

Requires the Create permission on the Alerts by Syslog entity (create:syslog). See Identity Exposure Permissions.
Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params
string
enum
required

Specifies what triggers a message: adObjectChanges for each Active Directory change, deviances for each new deviance, attacks for each attack, or healthChecks for each change in health check status.

Allowed:
checkers
array of integers
required
length ≥ 1

Specifies the IDs of the checkers to send notifications for. Required when inputType is deviances.

checkers*
profiles
array of integers
required
length ≥ 1

Specifies the IDs of the security profiles to send notifications for. Required when inputType is deviances or attacks.

profiles*
string
required

Specifies the IP address or hostname of the Syslog server.

integer
required

Specifies the port of the Syslog server.

string
enum
required

Specifies the protocol used to send messages to the Syslog server.

Allowed:
boolean
required

Specifies whether to encrypt messages with TLS. Applies only when protocol is TCP.

integer
required

Specifies the minimum severity that triggers a notification.

directories
array of integers
required
length ≥ 1

Specifies the IDs of the directories to send notifications for.

directories*
string

Specifies a description of the notifier.

number | null

Specifies the ID of the relay that sends messages to the Syslog server, when the server is reachable only through a Secure Relay.

Responses
204

Returned if the test syslog message was sent successfully.

401

Returned if the API key specified in your request is invalid.

500

Returned if an internal error occurred.

Language
Credentials
Header
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here!